aboutsummaryrefslogtreecommitdiffstats
path: root/extra/imagemagick/APKBUILD
diff options
context:
space:
mode:
authorCarlo Lanmdeter <clandmeter@gmail>2009-03-09 00:19:54 +0000
committerCarlo Lanmdeter <clandmeter@gmail>2009-03-09 00:19:54 +0000
commitd5edf9309a64a1afcfbab5efb25f86bd174de644 (patch)
treeae231ddd225b924c24a7410138e080fb28fb634b /extra/imagemagick/APKBUILD
parent1a36e04290c18b056a64c8c46b793d1147e93303 (diff)
downloadaports-d5edf9309a64a1afcfbab5efb25f86bd174de644.tar.gz
aports-d5edf9309a64a1afcfbab5efb25f86bd174de644.tar.bz2
aports-d5edf9309a64a1afcfbab5efb25f86bd174de644.tar.xz
extra/imagemagick: new aport
Diffstat (limited to 'extra/imagemagick/APKBUILD')
-rw-r--r--extra/imagemagick/APKBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/extra/imagemagick/APKBUILD b/extra/imagemagick/APKBUILD
new file mode 100644
index 0000000000..dc95a9d8df
--- /dev/null
+++ b/extra/imagemagick/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+pkgname=imagemagick
+pkgver=6.4.9_9
+_pkgver=6.4.9-9
+pkgrel=0
+pkgdesc="A collection of tools and libraries for many image formats"
+url="http://www.imagemagick.org/"
+license="GPL"
+depends="zlib libpng libjpeg freetype"
+makedepends="zlib-dev libpng-dev libjpeg-dev freetype-dev"
+subpackages="$pkgname-doc $pkgname-dev"
+source="ftp://ftp.imagemagick.org/pub/ImageMagick/ImageMagick-6.4.9-9.tar.gz"
+
+build() {
+ cd "$srcdir/ImageMagick-${_pkgver}"
+
+ # fix doc dir, Gentoo bug 91911
+ sed -i -e \
+ 's:DOCUMENTATION_PATH="${DATA_DIR}/doc/${DOCUMENTATION_RELATIVE_PATH}":DOCUMENTATION_PATH="/usr/share/doc/imagemagick":g' \
+ configure || die
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --without-threads \
+ --with-modules
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+}
+
+md5sums="2c4a2d0a171cce4b63f34c2360dec235 ImageMagick-6.4.9-9.tar.gz"